Skip to content

Test tool connection via dry-run

POST
/projects/{id}/tools/{toolId}/test
curl --request POST \
--url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/tools/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/test \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Project UUID

toolId
required
string format: uuid

Tool UUID

Test result

Media type application/json
object
ok
required
boolean
error
string

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Not found

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number